%{

/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __rename_H
#include "rename.h"
#endif

#ifndef __string_H
#define __string_H
#include <string.h>
#endif

#ifndef __stdlib_H
#define __stdlib_H
#include <stdlib.h>
#endif

#ifndef __class_HXX
#include "class.hxx"
#endif

#ifndef __list_HXX
#include "list.hxx"
#endif

#include "dbconfig.h"
#include "dbconfig_y.h"


extern "C" {
  int yywrap() ;
  int yyparse() ;
}
  
%}


IDENT           [a-zA-Z_][a-zA-Z_0-9]*
FILENAME	\/*[a-zA-Z_0-9\/][a-zA-Z_0-9\/]*
INT             [0-9][0-9]*

%%
[ \t]		{}

\n              {
                  dbconf_linecount++ ;
		}

volume		{
                  return VOLUME;
                }

server          {
                  return SERVER ;
                }

file		{
                  return FILETOK;
                }

ident           {
                  return ID ;
                }

log             {
                  return LOG ;
                }

{INT}           {
		  yylval.integer = atoi((char*)yytext);
		  return INT;
                }

{IDENT}		{
		  strcpy(yylval.text, (char*)yytext);
		  return IDENT;
		}

{FILENAME}      {
                  strcpy(yylval.text, (char*)yytext);
		  return FILENAME;
		}

.		{
                  return yytext[0];
                }
%%

